package com.steering.pss.sale.order.model;

/**
 * 生产周期从表实体类
 * 
 * @author Administrator
 * 
 */
public class DesignMscPlPcLstEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey;
	/**
	 * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
	 */
	private String ordLnDlyPk;
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline;
	/**
	 * 全程工序顺序号
	 */
	private String backlogSeq;
	/**
	 * 工序代码
	 */
	private String processCode;
	/**
	 * 工序名称
	 */
	private String processDesc;
	/**
	 * 评审要求
	 */
	private String reviewAsk;
	/**
	 * 最迟生产
	 */
	private String lstPrdDate;
	/**
	 * 生产周期(以Day为单位)
	 */
	private String prdCyc;
	
	private String prdCycBtch;

	public DesignMscPlPcLstEntity() {
		desginKey = "";
		ordLnDlyPk = "";
		mscPline = "";
		backlogSeq = "";
		processCode = "";
		processDesc = "";
		reviewAsk = "";
		lstPrdDate = "";
		prdCyc = "";
		prdCycBtch = "";
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 全程工序顺序号
	 * 
	 * @return value
	 */
	public String getBacklogSeq() {
		return backlogSeq;
	}

	/**
	 * 全程工序顺序号
	 * 
	 * @param backlogSeq
	 *            value
	 */
	public void setBacklogSeq(String backlogSeq) {
		this.backlogSeq = backlogSeq;
	}

	/**
	 * 工序代码
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序代码
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 评审要求
	 * 
	 * @return value
	 */
	public String getReviewAsk() {
		return reviewAsk;
	}

	/**
	 * 评审要求
	 * 
	 * @param reviewAsk
	 *            value
	 */
	public void setReviewAsk(String reviewAsk) {
		this.reviewAsk = reviewAsk;
	}

	/**
	 * 最迟生产
	 * 
	 * @return value
	 */
	public String getLstPrdDate() {
		return lstPrdDate;
	}

	/**
	 * 最迟生产
	 * 
	 * @param lstPrdDate
	 *            value
	 */
	public void setLstPrdDate(String lstPrdDate) {
		this.lstPrdDate = lstPrdDate;
	}

	/**
	 * 生产周期(以Day为单位)
	 * 
	 * @return value
	 */
	public String getPrdCyc() {
		return prdCyc;
	}

	/**
	 * 生产周期(以Day为单位)
	 * 
	 * @param prdCyc
	 *            value
	 */
	public void setPrdCyc(String prdCyc) {
		this.prdCyc = prdCyc;
	}

    public String getPrdCycBtch() {
        return prdCycBtch;
    }

    public void setPrdCycBtch(String prdCycBtch) {
        this.prdCycBtch = prdCycBtch;
    }
	
}
